Bug 732751 - rhythmbox SIGABRTs when starting rhythmbox-2.90.1-13.git20110822.fc17.x86_64
Summary: rhythmbox SIGABRTs when starting rhythmbox-2.90.1-13.git20110822.fc17.x86_64
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 13:40 UTC by Tom London
Modified: 2015-02-17 13:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:51:03 UTC


Attachments (Terms of Use)

Description Tom London 2011-08-23 13:40:02 UTC
Description of problem:

I'm getting this every time I try to start rhythmbox-2.90.1-13.git20110822.fc17.x86_64.  Works fine if I downgrade to rhythmbox-2.90.1-11.git20110502.fc16.x86_64

RhythmDB:ERROR:rhythmdb.c:4938:rhythmdb_entry_get_refstring: code should not be reached

Program received signal SIGABRT, Aborted.
0x0000003c33636335 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install libpeas-1.1.1-1.fc16.x86_64 libselinux-2.1.4-2.fc17.x86_64 p11-kit-0.4-1.fc17.x86_64
(gdb) bt full
#0  0x0000003c33636335 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = <optimized out>
        selftid = 2278
#1  0x0000003c33637c4b in __GI_abort () at abort.c:93
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, sa_mask = {__val = {258593915762, 258559994880, 140737350588824, 2048, 4294967296, 140736557885632, 140736557885632, 4294967295, 29326336, 29929376, 29929376, 258596794424, 0, 28164736, 140737351548096, 0}}, sa_flags = 857792820, sa_restorer = 0x7fff00000005}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x0000003c356681cd in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x7ffff7da23f0 "rhythmdb_entry_get_refstring", message=0x3c356b8c67 "code should not be reached") at gtestutils.c:1425
        lstr = "4938\000\000\000\000\225J!3<\000\000\000+?\325\367\377\177\000\000\360#\332\367\377\177\000"
        s = 0x1c8afa0 ""
#3  0x00007ffff7d53f4d in rhythmdb_entry_get_refstring (entry=0x7fffc92a7b00, propid=RHYTHMDB_PROP_BITRATE) at rhythmdb.c:4938
        __PRETTY_FUNCTION__ = "rhythmdb_entry_get_refstring"
#4  0x00007fffed2883c4 in entry_prop_changed_cb (source_data=<optimized out>, prop=RHYTHMDB_PROP_BITRATE, entry=0x7fffc92a7b00, model=<optimized out>, old=<optimized out>, new_value=<optimized out>) at rb-dbus-media-server-plugin.c:1715
        prop_data = 0xb22cf0
        value = <optimized out>
        l = 0xd480e0 = {0xb22cf0, 0xb23900, 0xb24040}
#5  entry_prop_changed_cb (model=<optimized out>, entry=0x7fffc92a7b00, prop=RHYTHMDB_PROP_BITRATE, old=<optimized out>, new_value=<optimized out>, source_data=<optimized out>) at rb-dbus-media-server-plugin.c:1692
No locals.
#6  0x0000003c3660e794 in g_closure_invoke (closure=0xb22840, return_value=0x0, n_param_values=5, param_values=0x1adc280, invocation_hint=<optimized out>) at gclosure.c:773
        marshal = 0x7ffff7d87cc0 <rb_marshal_VOID__BOXED_INT_POINTER_POINTER>
        marshal_data = <optimized out>
        in_marshal = <optimized out>
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#7  0x0000003c36621a4b in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=0x996d80, emission_return=0x0, instance_and_params=0x1adc280) at gsignal.c:3271
        tmp = <optimized out>
        handler = 0x8c8090
        accumulator = 0x0
        emission = {next = 0x7fffffffda60, instance = 0x996d80, ihint = {signal_id = 354, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x954d30
        hlist = 0x3c33a0aee0
        handler_list = 0x8c8090
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 354
        max_sequential_handler_number = 6903
        return_value_altered = 0
#8  0x0000003c3662b097 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=0x7fffffffd798) at gsignal.c:3002
        instance_and_params = 0x1adc280
        signal_return_type = 4
        param_values = 0x1adc298
        node = 0x9513d0
        i = <optimized out>
        n_params = 4
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#9  0x0000003c3662b262 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3059
        var_args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fffffffd878, reg_save_area = 0x7fffffffd7b0}}
#10 0x00007ffff7d603ae in rhythmdb_query_model_entry_changed_cb (db=0x76a310 [RhythmDBTree], entry=0x7fffc92a7b00, changes=0x7fffc88b0c00, model=0x996d80 [RhythmDBQueryModel]) at rhythmdb-query-model.c:1097
        v = <optimized out>
        change = 0x1ae4780
        hidden = <optimized out>
        i = <optimized out>
        __FUNCTION__ = "rhythmdb_query_model_entry_changed_cb"
        __PRETTY_FUNCTION__ = "rhythmdb_query_model_entry_changed_cb"
#11 0x0000003c3660e794 in g_closure_invoke (closure=0xa03ac0, return_value=0x0, n_param_values=3, param_values=0x1b04630, invocation_hint=<optimized out>) at gclosure.c:773
        marshal = 0x7ffff7d87bf0 <rb_marshal_VOID__BOXED_BOXED>
        marshal_data = <optimized out>
        in_marshal = <optimized out>
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#12 0x0000003c36621a4b in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=0x76a310, emission_return=0x0, instance_and_params=0x1b04630) at gsignal.c:3271
        tmp = <optimized out>
        handler = 0xa1b790
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x76a310, ihint = {signal_id = 200, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x746a90
        hlist = 0x3c33a0aee0
        handler_list = 0xa48cd0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 200
        max_sequential_handler_number = 6903
        return_value_altered = 1
#13 0x0000003c3662b097 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=0x7fffffffdc58) at gsignal.c:3002
        instance_and_params = 0x1b04630
        signal_return_type = 4
        param_values = 0x1b04648
        node = 0x877050
        i = <optimized out>
        n_params = 2
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#14 0x0000003c3662b262 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3059
        var_args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fffffffdd30, reg_save_area = 0x7fffffffdc70}}
#15 0x00007ffff7d57bf2 in rhythmdb_emit_entry_signals_idle (db=0x76a310 [RhythmDBTree]) at rhythmdb.c:1350
        emit_changes = 0x7fffc88a2a80
        c = <optimized out>
        added_entries = 0x0
        deleted_entries = 0x0
        changed_entries = 0x7fffe0007d80
        l = <optimized out>
        iter = {dummy1 = 0x7fffe0007d80, dummy2 = 0x2, dummy3 = 0x0, dummy4 = 0, dummy5 = 60, dummy6 = 0x1}
        entry = 0x7fffc92a7b00
        entry_changes = 0xf43970 = {0x1a97280, 0x1ae4780, 0x1a97140}
#16 0x0000003c356446bd in g_main_dispatch (context=0x7451d0) at gmain.c:2500
        dispatch = 0x3c35640370 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0x76a310
        callback = 0x7ffff7d57a90 <rhythmdb_emit_entry_signals_idle>
        cb_funcs = 0x3c3591f610
        cb_data = 0x1c38380
        current_source_link = {data = 0x1b44c00, next = 0x0}
        need_destroy = <optimized out>
        source = 0x1b44c00
        current = 0xd30270
        i = <optimized out>
#17 g_main_context_dispatch (context=0x7451d0) at gmain.c:3083
No locals.
#18 0x0000003c35644ea8 in g_main_context_iterate (context=0x7451d0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3161
        max_priority = 200
        timeout = 0
        some_ready = 1
        nfds = 8
        allocated_nfds = <optimized out>
        fds = <optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#19 0x0000003c356453f5 in g_main_loop_run (loop=0x851370) at gmain.c:3369
        self = 0x6093a0
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#20 0x0000003c3fb65b8d in gtk_main () at gtkmain.c:1362
        loop = 0x851370
#21 0x0000000000402b16 in main (argc=1, argv=0x7fffffffe068) at main.c:324
        session_bus = 0x84bce8
        error = 0x0
        rb_shell = 0x855080 [RBShell]
        activated = 0
        autostarted = <optimized out>
        desktop_file_path = <optimized out>
        context = <optimized out>
        options = {{long_name = 0x403e64 "debug", short_name = 100 'd', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x6062a8, description = 0x403e6a "Enable debug output", arg_description = 0x0}, {long_name = 0x403e7e "debug-match", short_name = 68 'D', flags = 0, arg = G_OPTION_ARG_STRING, arg_data = 0x6062b0, description = 0x404070 "Enable debug output matching a specified string", arg_description = 0x0}, {long_name = 0x403e8a "no-update", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x6062d8, description = 0x4040a0 "Do not update the library with file changes", arg_description = 0x0}, {long_name = 0x403e94 "no-registration", short_name = 110 'n', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x6062b8, description = 0x403ea4 "Do not register the shell", arg_description = 0x0}, {long_name = 0x403ebe "dry-run", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x6062d4, description = 0x4040d0 "Don't save any data permanently (implies --no-registration)", arg_description = 0x0}, {long_name = 0x403ec6 "disable-plugins", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x6062d0, description = 0x403ed6 "Disable loading of plugins", arg_description = 0x0}, {long_name = 0x403ef1 "rhythmdb-file", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_STRING, arg_data = 0x6062c8, description = 0x403eff "Path for database file to use", arg_description = 0x0}, {long_name = 0x403f1d "playlists-file", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_STRING, arg_data = 0x6062c0, description = 0x404110 "Path for playlists file to use", arg_description = 0x0}, {long_name = 0x403e31 "quit", short_name = 113 'q', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x6062bc, description = 0x403f2c "Quit Rhythmbox", arg_description = 0x0}, {long_name = 0x403c71 "", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_STRING_ARRAY, arg_data = 0x6062e0, description = 0x0, arg_description = 0x403f3b "[URI...]"}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
        __FUNCTION__ = "main"
(gdb) 


Version-Release number of selected component (if applicable):
rhythmbox-2.90.1-13.git20110822.fc17.x86_64

How reproducible:
Every time....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom London 2011-08-24 13:36:37 UTC
I updated to rhythmbox-2.90.1-14.git20110823.fc17.x86_64.

Now, I no longer get a crash in rhythmbox, but I get one in rhythmbox-metadata.

Also, the 'progress bar' in the lower right corner hasn't stopped.

I see this in ~/.xsession-errors:

[tbl@tlondon ~]$ grep rhythmbox-metadata .xsession-errors
(rhythmbox-metadata:2062): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2151): GStreamer-WARNING **: Trying to set string on taglist field 'channel-mode', but string is not valid UTF-8. Please file a bug.
(rhythmbox-metadata:2151): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2175): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2223): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2250): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2250): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2266): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2283): GStreamer-WARNING **: Trying to set string on taglist field 'container-format', but string is not valid UTF-8. Please file a bug.
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_structure_id_set_value: assertion `G_IS_VALUE (value)' failed
(rhythmbox-metadata:2283): GStreamer-WARNING **: unknown tag '(null)'
(rhythmbox-metadata:2283): GStreamer-WARNING **: unknown tag '(null)'
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2283): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
(rhythmbox-metadata:2321): GStreamer-CRITICAL **: gst_value_init_and_copy: assertion `G_IS_VALUE (src)' failed
[tbl@tlondon ~]$ 

and this from the core dump:

(gdb) print node
$1 = (TypeNode *) 0x14431f0
(gdb) print node->data
$2 = (TypeData * volatile) 0x7f63fc026bd0
(gdb) print *node
$3 = {ref_count = 19946096, plugin = 0x6, n_children = 0, n_supers = 0, 
  n_prerequisites = 0, is_classed = 0, is_instantiatable = 0, 
  mutatable_check_cache = 0, children = 0x0, data = 0x7f63fc026bd0, qname = 
    4227937248, global_gdata = 0x0, _prot = {iface_entries = {data = 
    0x7f63f00173c0}, offsets = {data = 0x7f63f00173c0}}, prerequisites = 0x0, 
  supers = {0}}
(gdb) 


Core was generated by `/usr/libexec/rhythmbox-metadata unix:tmpdir=/tmp'.
Program terminated with signal 11, Segmentation fault.
#0  type_check_is_value_type_U (type=<optimized out>) at gtype.c:4091
4091	      if (node->data && NODE_REFCOUNT (node) > 0 &&
Missing separate debuginfos, use: debuginfo-install rhythmbox-2.90.1-14.git20110823.fc17.x86_64
(gdb) set pagination off
(gdb) bt full
#0  type_check_is_value_type_U (type=<optimized out>) at gtype.c:4091
        tflags = G_TYPE_FLAG_VALUE_ABSTRACT
        node = 0x14431f0
#1  g_type_check_value (value=<optimized out>) at gtype.c:4126
No locals.
#2  0x0000003c4c492acc in gst_value_init_and_copy (dest=0x7fff22e366a8, src=0x7f63fc040728) at gstvalue.c:3854
        _g_boolean_var_ = <optimized out>
#3  0x0000003c4c478852 in gst_structure_copy (structure=0x14d0a10) at gststructure.c:312
        new_field = {name = 4294967295, value = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}}
        new_structure = 0x7f63f0042530
        field = <optimized out>
        i = <optimized out>
        len = <optimized out>
        __PRETTY_FUNCTION__ = "gst_structure_copy"
#4  0x0000003c3660bf90 in boxed_proxy_collect_value (collect_values=<optimized out>, value=0x7fff22e36758, n_collect_values=<optimized out>, collect_flags=<optimized out>) at gboxed.c:225
No locals.
#5  boxed_proxy_collect_value (value=0x7fff22e36758, n_collect_values=<optimized out>, collect_values=<optimized out>, collect_flags=<optimized out>) at gboxed.c:210
No locals.
#6  0x0000003c4c477226 in gst_structure_id_set_valist_internal (structure=0x7f63f0041e60, fieldname=<optimized out>, varargs=0x7fff22e367b8) at gststructure.c:647
        _val = 0x7fff22e36758
        _flags = 0
        _collect_format = <optimized out>
        _cvalues = {{v_int = 21826064, v_long = 21826064, v_int64 = 21826064, v_double = 1.0783508406332381e-316, v_pointer = 0x14d0a10}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, v_double = 0, v_pointer = 0x0}}
        _vtab = <optimized out>
        _n_values = <optimized out>
        field = {name = 1655, value = {g_type = 20001904, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}}
        err = <optimized out>
        type = 20001904
#7  0x0000003c4c47915c in gst_structure_id_set (structure=<optimized out>, field=<optimized out>) at gststructure.c:681
        varargs = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff22e36890, reg_save_area = 0x7fff22e367d0}}
        __PRETTY_FUNCTION__ = "gst_structure_id_set"
#8  0x0000003c4f41451e in collect_stream_information (idx=4026832768, ps=<optimized out>, dc=0x13b6ba0 [GstDiscoverer]) at gstdiscoverer.c:594
        caps = 0x7f63f0049780
        st = 0x7f63f0041e60
        stname = <optimized out>
#9  find_stream_for_node (topology=0x7f63f0042190, dc=0x13b6ba0 [GstDiscoverer]) at gstdiscoverer.c:773
        pad = 0x146a260 [GstDecodePad]
        i = <optimized out>
        tmp = <optimized out>
        target_pad = <optimized out>
        st = 0x0
        ps = <optimized out>
#10 parse_stream_topology (dc=0x13b6ba0 [GstDiscoverer], topology=0x7f63f0042190, parent=0x7f63f0016aa0 [GstDiscovererAudioInfo]) at gstdiscoverer.c:819
        st = 0x7f63f0041e60
        add_to_list = <optimized out>
        res = 0x0
        caps = 0x0
        nval = 0x0
        __PRETTY_FUNCTION__ = "parse_stream_topology"
#11 0x0000003c4f414614 in parse_stream_topology (dc=0x13b6ba0 [GstDiscoverer], topology=<optimized out>, parent=0x7f63f0016aa0 [GstDiscovererAudioInfo]) at gstdiscoverer.c:858
        caps = 0x7f63fc0398c0
        st = 0x7f63f0042190
        st = 0x3c4c435ed4
        add_to_list = <optimized out>
        res = 0x7f63f0016aa0 [GstDiscovererAudioInfo]
        caps = 0x0
        nval = <optimized out>
        __PRETTY_FUNCTION__ = "parse_stream_topology"
#12 0x0000003c4f414592 in parse_stream_topology (dc=0x13b6ba0 [GstDiscoverer], topology=0x7f63fc04da10, parent=0x7f63f0016aa0 [GstDiscovererAudioInfo]) at gstdiscoverer.c:852
        caps = 0x7f63fc01f800
        st = 0x7f63f0042590
        st = 0x3c4c435d96
        add_to_list = <optimized out>
        res = 0x7f63f0016aa0 [GstDiscovererAudioInfo]
        caps = 0x0
        nval = 0x14c6378
        __PRETTY_FUNCTION__ = "parse_stream_topology"
#13 0x0000003c4f41465f in parse_stream_topology (dc=0x13b6ba0 [GstDiscoverer], topology=<optimized out>, parent=0x7f63f004a580 [GstDiscovererStreamInfo]) at gstdiscoverer.c:863
        next = <optimized out>
        caps = 0x7f63f003c100
        st = 0x7f63fc04da10
        st = 0x14c62e8
        add_to_list = <optimized out>
        res = 0x7f63f004a580 [GstDiscovererStreamInfo]
        caps = 0x0
        nval = <optimized out>
        __PRETTY_FUNCTION__ = "parse_stream_topology"
#14 0x0000003c4f414920 in discoverer_collect (dc=0x13b6ba0 [GstDiscoverer]) at gstdiscoverer.c:972
        __PRETTY_FUNCTION__ = "discoverer_collect"
#15 0x0000003c4f415d5b in gst_discoverer_discover_uri (discoverer=0x13b6ba0 [GstDiscoverer], uri=<optimized out>, err=0x7fff22e36c30) at gstdiscoverer.c:1477
        res = GST_DISCOVERER_OK
        info = <optimized out>
        __PRETTY_FUNCTION__ = "gst_discoverer_discover_uri"
#16 0x00000000004092aa in rb_metadata_load (md=0x14279c0 [RBMetaData], uri=0x14c69a0 "file:///home/tbl/Music/My%20Music/iTunes/iTunes%20Music/The%20Beatles/Anthology%203%20(Disc%202)/2-21%20Let%20It%20Be.mp3", error=0x7fff22e36c30) at rb-metadata-gst.c:104
        streams = <optimized out>
        l = <optimized out>
        discoverer = 0x13b6ba0 [GstDiscoverer]
        caps = <optimized out>
        __FUNCTION__ = "rb_metadata_load"
        __PRETTY_FUNCTION__ = "rb_metadata_load"
#17 0x0000000000407f3b in rb_metadata_dbus_load (svc=0x7fff22e36e40, invocation=0x7f63f80034c0 [GDBusMethodInvocation], parameters=<optimized out>) at rb-metadata-dbus-service.c:75
        nothing = {0x0}
        missing_plugins = 0x0
        plugin_descriptions = 0x0
        uri = 0x14c69a0 "file:///home/tbl/Music/My%20Music/iTunes/iTunes%20Music/The%20Beatles/Anthology%203%20(Disc%202)/2-21%20Let%20It%20Be.mp3"
        error = 0x0
        response = <optimized out>
        mediatype = <optimized out>
#18 handle_method_call (connection=<optimized out>, sender=<optimized out>, object_path=<optimized out>, interface_name=<optimized out>, method_name=0x7f63f80038f0 "load", parameters=<optimized out>, invocation=0x7f63f80034c0 [GDBusMethodInvocation], svc=0x7fff22e36e40) at rb-metadata-dbus-service.c:197
        __FUNCTION__ = "handle_method_call"
#19 0x0000003c372b179d in call_in_idle_cb (user_data=<optimized out>) at gdbusconnection.c:4439
        invocation = 0x7f63f80034c0 [GDBusMethodInvocation]
        vtable = <optimized out>
        registration_id = <optimized out>
        subtree_registration_id = <optimized out>
        __PRETTY_FUNCTION__ = "call_in_idle_cb"
#20 0x0000003c356446bd in g_main_dispatch (context=0x12fdea0) at gmain.c:2500
        dispatch = 0x3c35640370 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0x7f63f80034c0
        callback = 0x3c372b1650 <call_in_idle_cb>
        cb_funcs = 0x3c3591f610
        cb_data = 0x7f63f8006000
        current_source_link = {data = 0x7f63f8002f20, next = 0x0}
        need_destroy = <optimized out>
        source = 0x7f63f8002f20
        current = 0x142f1a0
        i = <optimized out>
#21 g_main_context_dispatch (context=0x12fdea0) at gmain.c:3083
No locals.
#22 0x0000003c35644ea8 in g_main_context_iterate (context=0x12fdea0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3161
        max_priority = 2147483647
        timeout = 5947
        some_ready = 1
        nfds = 3
        allocated_nfds = <optimized out>
        fds = <optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#23 0x0000003c356453f5 in g_main_loop_run (loop=0x12fdd40) at gmain.c:3369
        self = 0x12f1150
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#24 0x0000000000407787 in main (argc=<optimized out>, argv=<optimized out>) at rb-metadata-dbus-service.c:408
        svc = {server = 0x130e080 [GDBusServer], connection = 0x7f6400003830 [GDBusConnection], node_info = 0x142ead0, loop = 0x12fdd40, last_active = 1314192493, a = 0x14279c0 [RBMetaData], external = 0}
        error = 0x0
        address = <optimized out>
        guid = 0x142a380 ""
        __FUNCTION__ = "main"
(gdb)

Comment 2 Fedora End Of Life 2013-04-03 13:54:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora End Of Life 2015-01-09 16:45:25 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-02-17 13:51:03 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.